{% extends "../index.htm" %}
{% load i18n %}  
{% load static %}

{% block htmlData %}
    <script src='{% static "js/groupStuff.js" %}'></script>
    <div class="w3-row">
        <div class="">
            <div class="w3-bar w3-light-grey">
                <a class="w3-button w3-blue"  style='text-decoration: none;' nohref=""><i class="fas fa-users fa-lg"></i> {% trans 'Groups' %} </a>
                <a class="w3-button w3-blue"  style='text-decoration: none;' href="/manage"><i class="fas fa-reply-all fa-lg "></i> {% trans 'Back to Manage' %}</i></a>
            </div> 
            
            <div class='tab' id='groups'>
                    <div class="w3-responsive">
                        <table class="w3-table-all">
                        <tr class="w3-blue">
                            <th>{% trans 'Displayname' %}</th>
                            <th>{% trans 'Parent' %}</th>
                            <th></th>
                            <th></th>
                            <th></th>
                        </tr>
                                               
                        {% for group in Groups %}
                            <tr>
                                <td> {{ group.displayname }} </td>
                                <td> {{ group.parentDisplayname }} </td>
                                <td>  <a href="javascript:editGroupMembers('{{ group.uuid }}', '{{ domain }}', '{{ group.displayname }}','{{ token }}')" title="{% trans 'Edit' %}"> <i class="fas fa-users-cog fa-lg" style="color: red;"></i></a></td>
				<td>  <a href="javascript:editGroup('{{ group.uuid }}', '{{ domain }}', '{{ token }}')" title="{% trans 'Edit' %}"> <i class="far fa-edit fa-lg"></i></a></td>
                                <td> 
                                    <a href="/manage/groups/delete/{{ group.uuid }}" title="{% trans 'Delete' %}"> <i class="fas fa-trash fa-lg" style="color: red;" ></i><a>       
                                </td>
                            </tr>    
                        {% endfor %}
                        <tr>
                            <td colspan='5'>
                                <button class="w3-button w3-green w3-round-large" onclick="document.getElementById('addGroup').style.display='block'">  <i class="fas fa-plus-circle fa-lg"></i> {% trans 'addGroup' %} </button>
                            </td>
                        </tr> 
                        </table>
                    </div>
                </div>
        </div>
    </div>
    
    <!-- Add New Group -->
    <div id="addGroup" class="w3-modal">
        <div class="w3-modal-content w3-card-4 w3-animate-zoom" style="max-width:600px">
  
        <div class="w3-center"><br>
            <span onclick='cancelAddGroup()' class="w3-button w3-xlarge w3-transparent w3-display-topright" title="{% trans 'Close' %}">×</span>
        </div>

        <form class="w3-container" method="POST" action="/manage/groups/add">
        {% csrf_token %}
        <div class="w3-section">
            <label><b>{% trans 'Displayname' %}</b></label>
            <input class="w3-input w3-border w3-margin-bottom" type="text"   placeholder="Server Pretty Name" name="displayname" required>
          
            <label><b>{% trans 'Parent' %}</b></label>
            <select class="w3-select w3-border w3-margin-bottom" name='parent' id='parent'>
                <option value='Root'> {% trans 'Root' %}</option>
                {% for group in Groups %}
                   <option value='{{ group.uuid }}'> {{ group.displayname }} </option>                
                {% endfor %}

            </select>
          
            
          <button class="w3-button w3-block w3-green w3-section w3-padding" type="submit">{% trans 'Submit' %}</button>
        </div>
      </form>

      <div class="w3-container w3-border-top w3-padding-16 w3-light-grey">
        <button onclick='cancelAddGroup()' type="button" class="w3-button w3-red">{% trans 'Cancel' %}</button>
      </div>

    </div>
  </div> 
    
    
    
    <!-- Edit existing Group -->
    <div id="editGroup" class="w3-modal">
        <div class="w3-modal-content w3-card-4 w3-animate-zoom" style="max-width:600px">
  
        <div class="w3-center"><br>
            <span onclick='cancelEditGroup()' class="w3-button w3-xlarge w3-round w3-transparent w3-display-topright" title="{% trans 'Close' %}">×</span>
        </div>

        <form  class="w3-container"  method="POST"  action="/manage/groups/update">
        {% csrf_token %}
        <div class="w3-section">
            <label><b>{% trans 'Displayname' %}</b></label>
            <input class="w3-input w3-border w3-margin-bottom" type="text" id="editDisplayname"  name="displayname" value='' required>
          
            <label><b>{% trans 'Parent' %}</b></label>
            <select class="w3-select w3-border w3-margin-bottom" id='editParent' name='parent' >
                <option value='Root'> {% trans 'Root' %}</option>
                {% for group in Groups %}
                   <option value='{{ group.uuid }}'> {{ group.displayname }} </option>                
                {% endfor %}
            </select>
          <input class="w3-input w3-border " type="hidden"  name='uuid' id='uuid' value=''>
          <button class="w3-button w3-block w3-green w3-section w3-padding" type="submit">{% trans 'Submit' %}</button>
        </div>
      </form>

      <div class="w3-container w3-border-top w3-padding-16 w3-light-grey">
        <button onclick='cancelEditGroup()' type="button" class="w3-button w3-red">{% trans 'Cancel' %}</button>
      </div>

    </div>
  </div> 
    
    
    <!-- Edit Group members -->
    <div id="editGroupMembers" class="w3-modal">
        <div class="w3-modal-content w3-card-4 w3-animate-zoom" style="max-width:800px; min-height: 300px;">
            <div class="w3-center"><br>
                <span onclick='closeEditGroupMembers()' class="w3-button w3-xlarge w3-round w3-transparent w3-display-topright" title="{% trans 'Close' %}">×</span>
            </div>
		<br/><br/><br/>
            <div class="w3-container">
                <div class='w3-left groupMembersSubscribed'> 
                    <button class="w3-button w3-white w3-border w3-border-blue w3-round-large">
                        <i class="fas fa-users fa-lg"></i><b> {% trans 'groupMembers' %} <span id='spanGroupNameSubscribed'></span></b>
                    </button>
                    <br/><br/>
                    <ul class="w3-ul" id='subscribed' ></ul>
                </div>
                
                <div class='w3-right groupMembersUnsubscribed'> 
                    <button class="w3-button w3-white w3-border w3-border-blue w3-round-large">
                        <i class="fas fa-users fa-lg"></i><b> {% trans 'unsubscribedMembers' %} </b>
                    </button>
                    <br/><br/>
                    <ul class="w3-ul" id='unsubscribed' ></ul>
                </div>
                
            </div>
        </div>
    </div>

{% endblock %}
